Subject: Re: [Bitcoin-development] Implementing trading across chains

From: Jorge Timón <[email-masked]>
Date: Mon, 11 Feb 2013 12:03:01 +0100

Hi, you may be interested in a couple of related projects.

Colored coins uses satoshis to represent smart property, shares, IOUs
of another currency...Colored coins can be atomically traded for
bitcoin. If you implement the trade across chains contract they would
also be tradeable for another chain currencies like namecoin or
freicoin.

http://www.bitcoinx.org/

Ripple is a concept by which people that trust each other on a network
are able to pay with IOUs transitively. It has a new p2p
implementation  that is still on development. The new implementation
is very similar to bitcoin in certain senses but it has no mining.
Bitcoin IOUs can be traded there.

https://ripple.com/

Good luck with the implementation, this is a good feature to have,
even if it's not on the main client.

On 2/8/13, Petr Praus <[email-masked]> wrote:
> Hi,
>
> I intend to implement trading across chains in a P2P manner (as described
> by Mike Hearn in
> https://en.bitcoin.it/wiki/Contracts#Example_5:_Trading_across_chains).
> Note, this is indended more as an alternative chain development, I don't
> have any plans for merging it back into main client (not because I don't
> want to, but because I think it wouldn't be accepted). Before I dive into
> it, I thought it might be a good idea to ask here if the community has any
> useful ideas or comments on this topic?
>
> Thanks to Gary Rowe I know about Open
> Transactions<https://github.com/FellowTraveler/Open-Transactions>.
> They can do "multicurrency trading" too, but it's objectives are quite
> ambitious and I'm looking at making relatively small changes in the
> mainline Bitcoin client rather than diving into something entirely new.
>
> A little background on why am I doing this, can be found
> here<https://groups.google.com/d/topic/bitcoinj/lmVSF8yaJHk/discussion>.
> In short it's part of research towards my Master's thesis (more precisely,
> an excuse to hack on Bitcoin and sell it as research :)) which should be
> about multicurrency (alternative chains) in Bitcoin.
>
> Thanks,
> Petr
>
> PS: I hope I'm not too off topic here, but
> this<https://bitcointalk.org/index.php?topic=15527.0> thread
> indicates it should be fine to post alternative development questions on
> this.
>

-- 
Jorge Timón

http://freico.in/
http://archive.ripple-project.org/